Bug 1935392 - Jetson Xavier pcie broken when running in ACPI mode
Summary: Jetson Xavier pcie broken when running in ACPI mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F34BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2021-03-04 19:36 UTC by Peter Robinson
Modified: 2021-03-06 05:36 UTC (History)
21 users (show)

Fixed In Version: kernel-5.11.3-300.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-06 05:36:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Robinson 2021-03-04 19:36:58 UTC
With the changes to the designware pcie driver upstream the patch we ship for ACPI support for running devices with NVME/wifi/other interfaces are broken with 5.11.x on Fedora 34.

Comment 1 Peter Robinson 2021-03-04 19:38:38 UTC
PR to fix: https://gitlab.com/cki-project/kernel-ark/-/merge_requests/946

Building in 5.11.3

Comment 2 Fedora Blocker Bugs Application 2021-03-04 22:09:51 UTC
Proposed as a Blocker for 34-beta by Fedora user pbrobinson using the blocker tracking app because:

 Fixes PCI on the NVIDIA Jetson Xavier series in ACPI mode. These devices are some of the supported IoT devices.

Comment 3 Fedora Update System 2021-03-04 22:18:07 UTC
FEDORA-2021-1521506068 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1521506068

Comment 4 Adam Williamson 2021-03-05 22:15:45 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/283 , marking accepted.

Comment 5 Fedora Update System 2021-03-06 05:36:10 UTC
FEDORA-2021-1521506068 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.